Package ec.util

# Class ParameterDatabaseTreeModel

java.lang.Object
javax.swing.tree.DefaultTreeModel
ec.util.ParameterDatabaseTreeModel

All Implemented Interfaces:
  `Serializable`, `TreeModel`

public class ParameterDatabaseTreeModel extends DefaultTreeModel

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.swing.tree.DefaultTreeModel

  `asksAllowsChildren, listenerList, root`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParameterDatabaseTreeModel(TreeNode root)`
  `ParameterDatabaseTreeModel(TreeNode root, boolean asksAllowsChildren)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getChild(Object parent, int index)`
  `int`
  `getChildCount(Object parent)`
  `boolean`
  `getVisibleLeaves()`
  `void`
  `setVisibleLeaves(boolean visibleLeaves)`
  `void`
  `sort(Object parent, Comparator comp)`

  ### Methods inherited from class javax.swing.tree.DefaultTreeModel

  `addTreeModelListener, asksAllowsChildren, fireTreeNodesChanged, fireTreeNodesInserted, fireTreeNodesRemoved, fireTreeStructureChanged, getIndexOfChild, getListeners, getPathToRoot, getPathToRoot, getRoot, getTreeModelListeners, insertNodeInto, isLeaf, nodeChanged, nodesChanged, nodeStructureChanged, nodesWereInserted, nodesWereRemoved, reload, reload, removeNodeFromParent, removeTreeModelListener, setAsksAllowsChildren, setRoot, valueForPathChanged`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParameterDatabaseTreeModel

    public ParameterDatabaseTreeModel(TreeNode root)
    Parameters:
      `root` -

  - ### ParameterDatabaseTreeModel

    public ParameterDatabaseTreeModel(TreeNode root, boolean asksAllowsChildren)
    Parameters:
      `root` -
      `asksAllowsChildren` -

- ## Method Details

  - ### setVisibleLeaves

    public void setVisibleLeaves(boolean visibleLeaves)
    Parameters:
      `visibleLeaves` -

  - ### getVisibleLeaves

    public boolean getVisibleLeaves()

  - ### getChild

    public Object getChild(Object parent, int index)
    Specified by:
      `getChild` in interface `TreeModel`
    Overrides:
      `getChild` in class `DefaultTreeModel`

  - ### getChildCount

    public int getChildCount(Object parent)
    Specified by:
      `getChildCount` in interface `TreeModel`
    Overrides:
      `getChildCount` in class `DefaultTreeModel`

  - ### sort

    public void sort(Object parent, Comparator comp)
    Parameters:
      `parent` -
      `comp` -